name: linuxserver-lazylibrarian
services:
  app:
    image: linuxserver/lazylibrarian:version-93325b2d
    restart: unless-stopped
    environment:
      PUID: $PUID
      PGID: $PGID
      TZ: $TZ
      DOCKER_MODS: ''
    x-casaos:
      envs:
        - container: PUID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the UID to use here.
        - container: PGID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the GID to use here.
        - container: TZ
          description:
            en_us: specify a timezone to use, see this list.
        - container: DOCKER_MODS
          description:
            en_us: Allows additional functionality to be added, e.g. the Calibredb import program (optional, more info below) [OPTIONAL]
    ports:
      - target: 5299
        published: 5299
        protocol: tcp
    volumes:
      - type: bind
        source: /srv/lsio/lazylibrarian/config
        target: /config
      - type: bind
        source: /srv/lsio/lazylibrarian/downloads
        target: /downloads
      - type: bind
        source: /srv/lsio/lazylibrarian/books
        target: /books
x-casaos:
  architectures:
    - amd64
    - arm64
  main: app
  description:
    en_us: Lazylibrarian is a program to follow authors and grab metadata for all your digital reading needs. It uses a combination of Goodreads Librarything and optionally GoogleBooks as sources for author info and book info. This container is based on the DobyTang fork.
  tagline:
    en_us: A program to follow authors and grab metadata for all your digital reading needs. It uses a combination of Goodreads Librarything and optionally GoogleBooks as sources for author info and book info. This container is based on the DobyTang fork.
  developer: LinuxServer.io
  author: WisdomSky
  icon: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/lazylibrarian-icon.png
  thumbnail: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/lazylibrarian-icon.png
  title:
    en_us: Lazylibrarian
  category: LinuxServer.io
